net.dontdrinkandroot.wicket.model

## Class SimpleDateFormatModel

- java.lang.Object
- - net.dontdrinkandroot.wicket.model.AbstractChainedModel<Date,String>
  - - net.dontdrinkandroot.wicket.model.SimpleDateFormatModel

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<String>, org.apache.wicket.util.io.IClusterable

    public class SimpleDateFormatModel
    extends AbstractChainedModel<Date,String>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SimpleDateFormatModel(org.apache.wicket.model.IModel<? extends Date> parent, String pattern)`

### Method Summary

Methods
`String` `getObject()`

### Methods inherited from class net.dontdrinkandroot.wicket.model.AbstractChainedModel

`detach, getParent, getParentObject, setObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleDateFormatModel

    public SimpleDateFormatModel(org.apache.wicket.model.IModel<? extends Date> parent,
                         String pattern)

### Method Detail

#### getObject

    public String getObject()